Bug 1020538 - [abrt] gnash-0.8.10-4.fc18: gnash::(anonymous namespace)::bitmapdata_copyPixels: Process /usr/bin/gtk-gnash was killed by signal 11 (SIGSEGV)
[abrt] gnash-0.8.10-4.fc18: gnash::(anonymous namespace)::bitmapdata_copyPixe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
abrt_hash:1316bff7e2daabe69b358b628d4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 17:05 EDT by JMH
Modified: 2014-05-13 18:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:29:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (157.04 KB, text/plain)
2013-10-17 17:05 EDT, JMH
no flags Details
File: cgroup (127 bytes, text/plain)
2013-10-17 17:05 EDT, JMH
no flags Details
File: core_backtrace (3.79 KB, text/plain)
2013-10-17 17:05 EDT, JMH
no flags Details
File: dso_list (12.79 KB, text/plain)
2013-10-17 17:05 EDT, JMH
no flags Details
File: environ (2.60 KB, text/plain)
2013-10-17 17:05 EDT, JMH
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-17 17:05 EDT, JMH
no flags Details
File: maps (60.14 KB, text/plain)
2013-10-17 17:05 EDT, JMH
no flags Details
File: open_fds (276 bytes, text/plain)
2013-10-17 17:05 EDT, JMH
no flags Details
File: proc_pid_status (908 bytes, text/plain)
2013-10-17 17:05 EDT, JMH
no flags Details
File: var_log_messages (312 bytes, text/plain)
2013-10-17 17:06 EDT, JMH
no flags Details

  None (edit)
Description JMH 2013-10-17 17:05:27 EDT
Description of problem:
Using the browser Seamonkey, browsing youtube. It crashes daily, sometimes twice.

Version-Release number of selected component:
gnash-0.8.10-4.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/gtk-gnash -u https://a248.e.akamai.net/img.atdmt.com/ds/TRATR11234001/cf779e75491f4d1c8cc9b3715929e772.swf?ver=1&clickTag1=http%3A%2F%2Fr.turn.com%2Fr%2Fformclick%2Fid%2FzwByiQywAXT9eQ4A-QUBAA%2Furl%2Fhttp://clk.atdmt.com/go/407611660/direct;wi.300;hi.600;ai.309641889;ct.1/01&clickTag=http%3A%2F%2Fr.turn.com%2Fr%2Fformclick%2Fid%2FzwByiQywAXT9eQ4A-QUBAA%2Furl%2Fhttp://clk.atdmt.com/go/407611660/direct;wi.300;hi.600;ai.309641889;ct.1/01 -U http://ad.yieldmanager.com/st?ad_type=iframe&publisher_blob=${RS}|GJcmUWKL1a6Mnb2WUQ2moCBoR3Ny2VJOso0ADqT1|978500093|WSKY|1380889229.998908&cnt=yan&ad_size=300x600,300x250&site=140464&section_code=2914446551&cb=1380889229.998908&yud=smpv%3d3%26ed%3dzAomdF31xQxuC8RcCEyKD8XNfrztsaygAQ--&pub_url=http://us-mg6.mail.yahoo.com/neo/launch?.rand=3g1fpgcc2k051&pub_redirect_unencoded=1&pub_redirect=http://clicks.beap.bc.yahoo.com/yc/YnY9MS4wLjAmYnM9KDE1djE2Z21wdChnaWQkR0pjbVVXS0wxYTZNbmIyV1VRMm1vQ0JvUjNOeTJWSk9zbzBBRHFUMSxzdCQxMzgwODg5MjI5OTYyNjQ4LHNpJDQ0NTQ1NTEsc3AkOTc4NTAwMDkzLGNyJDM3MTYzMDAwNTEsdiQyLjAsYWlkJHFLamtaR0tMNEcwLSxjdCQyNSx5YngkMmw3ekJ1ekhQNU9tY3lISzhJWlpBdyxiaSQxOTI4MDU5NTUxLHIkMCxyZCQxNmkzdGpqbHIpKQ/2/*http://global.ard.yahoo.com/SIG=15kca3nd9/M=999999.999999.999999.999999/D=yahoo/S=978500093:WSKY/Y=YAHOO/EXP=1380896429/L=GJcmUWKL1a6Mnb2WUQ2moCBoR3Ny2VJOso0ADqT1/B=qKjkZGKL4G0-/J=1380889229998908/K=T9FCRFxPsIQVjS.txJoTgQ/A=8109102485243045513/R=0/X=6/* -x 142962830 -j 300 -k 600 -F 742:744 -P allowscriptaccess=always -P base=HTTPS://a248.e.akamai.net/img.atdmt.com/ds/TRATR11234001/ -P flashvars=unique_id=_4001357224336472&ArmApi=armapi_a1_a1&ArmClickUrl=http://clk.atdmt.com/go/407611660/direct;wi.300;hi.600;ai.309641889;ct.$num$/01/&ArmClickToken=$num$ -P height=600 -P loop=true -P pluginspace=HTTPS://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash -P quality=high -P salign=LT -P src=HTTPS://a248.e.akamai.net/img.atdmt.com/ds/TRATR11234001/cf779e75491f4d1c8cc9b3715929e772.swf?ver=1&clickTag1=http%3A%2F%2Fr.turn.com%2Fr%2Fformclick%2Fid%2FzwByiQywAXT9eQ4A-QUBAA%2Furl%2Fhttp://clk.atdmt.com/go/407611660/direct;wi.300;hi.600;ai.309641889;ct.1/01&clickTag=http%3A%2F%2Fr.turn.com%2Fr%2Fformclick%2Fid%2FzwByiQywAXT9eQ4A-QUBAA%2Furl%2Fhttp://clk.atdmt.com/go/407611660/direct;wi.300;hi.600;ai.309641889;ct.1/01 -P type=application/x-shockwave-flash -P width=300 -P wmode=opaque -
crash_function: gnash::(anonymous namespace)::bitmapdata_copyPixels
executable:     /usr/bin/gtk-gnash
kernel:         3.6.10-4.fc18.x86_64
runlevel:       N 5
uid:            501
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gnash::(anonymous namespace)::bitmapdata_copyPixels at asobj/flash/display/BitmapData_as.cpp:941
 #1 gnash::NativeFunction::call at ./NativeFunction.h:65
 #2 gnash::(anonymous namespace)::ActionCallMethod at ASHandlers.cpp:2811
 #3 gnash::SWF::SWFHandlers::execute at ASHandlers.cpp:432
 #4 gnash::ActionExec::operator() at ActionExec.cpp:260
 #5 gnash::Function::call at Function.cpp:145
 #6 gnash::invoke at ../libcore/asobj/Global_as.h:184
 #7 gnash::(anonymous namespace)::ActionCallFunction at ASHandlers.cpp:2254
 #8 gnash::SWF::SWFHandlers::execute at ASHandlers.cpp:432
 #9 gnash::ActionExec::operator() at ActionExec.cpp:260
Comment 1 JMH 2013-10-17 17:05:33 EDT
Created attachment 813541 [details]
File: backtrace
Comment 2 JMH 2013-10-17 17:05:35 EDT
Created attachment 813542 [details]
File: cgroup
Comment 3 JMH 2013-10-17 17:05:40 EDT
Created attachment 813543 [details]
File: core_backtrace
Comment 4 JMH 2013-10-17 17:05:43 EDT
Created attachment 813544 [details]
File: dso_list
Comment 5 JMH 2013-10-17 17:05:46 EDT
Created attachment 813545 [details]
File: environ
Comment 6 JMH 2013-10-17 17:05:49 EDT
Created attachment 813546 [details]
File: limits
Comment 7 JMH 2013-10-17 17:05:52 EDT
Created attachment 813547 [details]
File: maps
Comment 8 JMH 2013-10-17 17:05:55 EDT
Created attachment 813548 [details]
File: open_fds
Comment 9 JMH 2013-10-17 17:05:58 EDT
Created attachment 813549 [details]
File: proc_pid_status
Comment 10 JMH 2013-10-17 17:06:02 EDT
Created attachment 813550 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 09:41:08 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:29:12 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Bastiaan Jacques 2014-05-13 18:24:34 EDT
Upstream bug report: https://savannah.gnu.org/bugs/?42200

Now fixed in upstream master branch.

Note You need to log in before you can comment on or make changes to this bug.